%global packname  Rmpfr
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.7.0
Release:          1%{?dist}
Summary:          R MPFR - Multiple Precision Floating-Point Reliable

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_0.7-0.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-gmp
# Imports:   R-stats R-utils R-methods
# Suggests:  R-MASS R-polynom R-sfsmisc R-Matrix
# LinkingTo:
# Enhances:

Requires:         R-gmp >= 0.5.8
Requires:         R-stats R-utils R-methods
BuildRequires:    R-devel tex(latex) tex(hanging.sty)
BuildRequires:    R-gmp >= 0.5.8
BuildRequires:    gmp-devel >= 4.2.3
BuildRequires:    mpfr-devel >= 3.0.0
BuildRequires:    R-stats R-utils R-methods
BuildRequires:    R-MASS R-polynom R-Matrix
BuildRequires:    R-sfsmisc >= 1.0.20

%description
Arithmetic (via S4 classes and methods) for arbitrary precision floating
point numbers, including transcendental ("special") functions.  To this
end, the package interfaces to the 'LGPL' licensed 'MPFR' (Multiple
Precision Floating-Point Reliable) Library which itself is based on the
'GMP' (GNU Multiple Precision) Library.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.Rd
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/check-tools.R
%{rlibdir}/%{packname}/demo


%changelog
* Wed Mar 28 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.7.0-1
- initial package for Fedora
